Index: NEMO/trunk/src/OCE/DOM/dtatsd.F90
===================================================================
--- NEMO/trunk/src/OCE/DOM/dtatsd.F90	(revision 13982)
+++ NEMO/trunk/src/OCE/DOM/dtatsd.F90	(revision 14072)
@@ -6,6 +6,6 @@
    !! History :  OPA  ! 1991-03  ()  Original code
    !!             -   ! 1992-07  (M. Imbard)
-   !!            8.0  ! 1999-10  (M.A. Foujols, M. Imbard)  NetCDF FORMAT 
-   !!   NEMO     1.0  ! 2002-06  (G. Madec)  F90: Free form and module 
+   !!            8.0  ! 1999-10  (M.A. Foujols, M. Imbard)  NetCDF FORMAT
+   !!   NEMO     1.0  ! 2002-06  (G. Madec)  F90: Free form and module
    !!            3.3  ! 2010-10  (C. Bricaud, S. Masson)  use of fldread
    !!            3.4  ! 2010-11  (G. Madec, C. Ethe) Merge of dtatem and dtasal + remove CPP keys
@@ -40,5 +40,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
@@ -48,9 +48,9 @@
       !!----------------------------------------------------------------------
       !!                   ***  ROUTINE dta_tsd_init  ***
-      !!                    
-      !! ** Purpose :   initialisation of T & S input data 
-      !! 
+      !!
+      !! ** Purpose :   initialisation of T & S input data
+      !!
       !! ** Method  : - Read namtsd namelist
-      !!              - allocates T & S data structure 
+      !!              - allocates T & S data structure
       !!----------------------------------------------------------------------
       LOGICAL, INTENT(in), OPTIONAL ::   ld_tradmp   ! force the initialization when tradp is used
@@ -75,5 +75,5 @@
 
       IF( PRESENT( ld_tradmp ) )   ln_tsd_dmp = .TRUE.     ! forces the initialization when tradmp is used
-      
+
       IF(lwp) THEN                  ! control print
          WRITE(numout,*)
@@ -124,9 +124,9 @@
       !!----------------------------------------------------------------------
       !!                   ***  ROUTINE dta_tsd  ***
-      !!                    
+      !!
       !! ** Purpose :   provides T and S data at kt
-      !! 
+      !!
       !! ** Method  : - call fldread routine
-      !!              - ORCA_R2: add some hand made alteration to read data  
+      !!              - ORCA_R2: add some hand made alteration to read data
       !!              - 'key_orca_lev10' interpolates on 10 times more levels
       !!              - s- or mixed z-s coordinate: vertical interpolation on model mesh
@@ -211,5 +211,5 @@
                      IF( (zl-gdept_1d(jkk)) * (zl-gdept_1d(jkk+1)) <= 0._wp ) THEN
                         zi = ( zl - gdept_1d(jkk) ) / (gdept_1d(jkk+1)-gdept_1d(jkk))
-                        ztp(jk) = ptsd(ji,jj,jkk,jp_tem) + ( ptsd(ji,jj,jkk+1,jp_tem) - ptsd(ji,jj,jkk,jp_tem) ) * zi 
+                        ztp(jk) = ptsd(ji,jj,jkk,jp_tem) + ( ptsd(ji,jj,jkk+1,jp_tem) - ptsd(ji,jj,jkk,jp_tem) ) * zi
                         zsp(jk) = ptsd(ji,jj,jkk,jp_sal) + ( ptsd(ji,jj,jkk+1,jp_sal) - ptsd(ji,jj,jkk,jp_sal) ) * zi
                      ENDIF
@@ -224,7 +224,7 @@
             ptsd(ji,jj,jpk,jp_sal) = 0._wp
          END_2D
-         ! 
+         !
       ELSE                                !==   z- or zps- coordinate   ==!
-         !                             
+         !
          DO_3D( nn_hls, nn_hls, nn_hls, nn_hls, 1, jpk )
             ptsd(ji,jj,jk,jp_tem) = ptsd(ji,jj,jk,jp_tem) * tmask(ji,jj,jk)    ! Mask
@@ -235,5 +235,5 @@
             ! NOTE: [tiling-comms-merge] This fix was necessary to take out tra_adv lbc_lnk statements in the zps case
             DO_2D( nn_hls, nn_hls, nn_hls, nn_hls )
-               ik = mbkt(ji,jj) 
+               ik = mbkt(ji,jj)
                IF( ik > 1 ) THEN
                   zl = ( gdept_1d(ik) - gdept_0(ji,jj,ik) ) / ( gdept_1d(ik) - gdept_1d(ik-1) )
@@ -243,5 +243,5 @@
                ik = mikt(ji,jj)
                IF( ik > 1 ) THEN
-                  zl = ( gdept_0(ji,jj,ik) - gdept_1d(ik) ) / ( gdept_1d(ik+1) - gdept_1d(ik) ) 
+                  zl = ( gdept_0(ji,jj,ik) - gdept_1d(ik) ) / ( gdept_1d(ik+1) - gdept_1d(ik) )
                   ptsd(ji,jj,ik,jp_tem) = (1.-zl) * ptsd(ji,jj,ik,jp_tem) + zl * ptsd(ji,jj,ik+1,jp_tem)
                   ptsd(ji,jj,ik,jp_sal) = (1.-zl) * ptsd(ji,jj,ik,jp_sal) + zl * ptsd(ji,jj,ik+1,jp_sal)
@@ -252,5 +252,5 @@
       ENDIF
       !
-      IF( .NOT.ln_tsd_dmp ) THEN                   !==   deallocate T & S structure   ==! 
+      IF( .NOT.ln_tsd_dmp ) THEN                   !==   deallocate T & S structure   ==!
          !                                              (data used only for initialisation)
          IF(lwp) WRITE(numout,*) 'dta_tsd: deallocte T & S arrays as they are only use to initialize the run'
